summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
Diffstat (limited to 'patches')
-rw-r--r--patches/packages/libxml2-2.12.2-x86_64-1_slack15.0.txt (renamed from patches/packages/libxml2-2.9.14-x86_64-1_slack15.0.txt)0
-rw-r--r--patches/packages/seamonkey-2.53.18-x86_64-1_slack15.0.txt (renamed from patches/packages/seamonkey-2.53.17.1-x86_64-1_slack15.0.txt)0
-rw-r--r--patches/source/libxml2/libxml2-2.12.0-python3-unicode-errors.patch (renamed from patches/source/libxml2/libxml2.python3-unicode-errors.patch)18
-rwxr-xr-xpatches/source/libxml2/libxml2.SlackBuild43
-rw-r--r--patches/source/libxml2/libxml2.do-not-check-crc.diff35
-rw-r--r--patches/source/libxml2/libxml2.url3
-rwxr-xr-xpatches/source/seamonkey/seamonkey.SlackBuild15
-rw-r--r--patches/source/seamonkey/skip.check_glibc.diff11
8 files changed, 55 insertions, 70 deletions
diff --git a/patches/packages/libxml2-2.9.14-x86_64-1_slack15.0.txt b/patches/packages/libxml2-2.12.2-x86_64-1_slack15.0.txt
index 2bea28102..2bea28102 100644
--- a/patches/packages/libxml2-2.9.14-x86_64-1_slack15.0.txt
+++ b/patches/packages/libxml2-2.12.2-x86_64-1_slack15.0.txt
diff --git a/patches/packages/seamonkey-2.53.17.1-x86_64-1_slack15.0.txt b/patches/packages/seamonkey-2.53.18-x86_64-1_slack15.0.txt
index dad8e1f1b..dad8e1f1b 100644
--- a/patches/packages/seamonkey-2.53.17.1-x86_64-1_slack15.0.txt
+++ b/patches/packages/seamonkey-2.53.18-x86_64-1_slack15.0.txt
diff --git a/patches/source/libxml2/libxml2.python3-unicode-errors.patch b/patches/source/libxml2/libxml2-2.12.0-python3-unicode-errors.patch
index e87dcdedf..b07e4049f 100644
--- a/patches/source/libxml2/libxml2.python3-unicode-errors.patch
+++ b/patches/source/libxml2/libxml2-2.12.0-python3-unicode-errors.patch
@@ -1,16 +1,16 @@
-Index: libxml2-2.9.5/python/libxml.c
-===================================================================
---- libxml2-2.9.5.orig/python/libxml.c
-+++ libxml2-2.9.5/python/libxml.c
-@@ -1620,6 +1620,7 @@ libxml_xmlErrorFuncHandler(ATTRIBUTE_UNU
+diff --git a/python/libxml.c b/python/libxml.c
+index bf048006..5f42e5b7 100644
+--- a/python/libxml.c
++++ b/python/libxml.c
+@@ -1505,6 +1505,7 @@ libxml_xmlErrorFuncHandler(ATTRIBUTE_UNUSED void *ctx, const char *msg,
PyObject *message;
PyObject *result;
char str[1000];
+ unsigned char *ptr = (unsigned char *)str;
- #ifdef DEBUG_ERROR
- printf("libxml_xmlErrorFuncHandler(%p, %s, ...) called\n", ctx, msg);
-@@ -1636,12 +1637,20 @@ libxml_xmlErrorFuncHandler(ATTRIBUTE_UNU
+ if (libxml_xmlPythonErrorFuncHandler == NULL) {
+ va_start(ap, msg);
+@@ -1516,12 +1517,20 @@ libxml_xmlErrorFuncHandler(ATTRIBUTE_UNUSED void *ctx, const char *msg,
str[999] = 0;
va_end(ap);
@@ -26,7 +26,7 @@ Index: libxml2-2.9.5/python/libxml.c
- message = libxml_charPtrConstWrap(str);
+ message = libxml_charPtrConstWrap(ptr);
PyTuple_SetItem(list, 1, message);
- result = PyEval_CallObject(libxml_xmlPythonErrorFuncHandler, list);
+ result = PyObject_CallObject(libxml_xmlPythonErrorFuncHandler, list);
+ /* Forget any errors caused in the error handler. */
+ PyErr_Clear();
Py_XDECREF(list);
diff --git a/patches/source/libxml2/libxml2.SlackBuild b/patches/source/libxml2/libxml2.SlackBuild
index a9c441ac3..1dd393067 100755
--- a/patches/source/libxml2/libxml2.SlackBuild
+++ b/patches/source/libxml2/libxml2.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2018, 2022, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -60,7 +60,7 @@ else
LIBDIRSUFFIX=""
fi
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHONLIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
TMP=${TMP:-/tmp}
@@ -79,14 +79,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/libxml2.do-not-check-crc.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/libxml2.python3-unicode-errors.patch.gz | patch -p1 --verbose || exit 1
-
-# Fixes for python-3.9.x:
-sed -i '/if Py/{s/Py/(Py/;s/)/))/}' python/{types.c,libxml.c}
-sed -i '/_PyVerify_fd/,+1d' python/types.c
-sed -i 's/test.test/#&/' python/tests/tstLastError.py
-
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then
NOCONFIGURE=1 ./autogen.sh
@@ -94,39 +86,57 @@ if [ ! -r configure ]; then
autoreconf -vif
fi
fi
+
+# Build for python2, for now...
+
+PYTHON=/usr/bin/python2 \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --with-python=/usr/bin/python3 \
+ --with-python \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-python3 -m compileall "${PKG}$PYTHON3LIB"
-python3 -O -m compileall "${PKG}$PYTHON3LIB"
+python2 -m compileall "${PKG}$PYTHONLIB"
+python2 -O -m compileall "${PKG}$PYTHONLIB"
make clean
+# Next build for python3...
+
+## Fixes for python-3.9.x:
+#sed -i '/if Py/{s/Py/(Py/;s/)/))/}' python/{types.c,libxml.c}
+#sed -i '/_PyVerify_fd/,+1d' python/types.c
+#sed -i 's/test.test/#&/' python/tests/tstLastError.py
+
+# Patch from openSUSE.
+# See: https://bugzilla.gnome.org/show_bug.cgi?id=789714
+cat $CWD/libxml2-2.12.0-python3-unicode-errors.patch | patch -p1 --verbose || exit 1
+
+PYTHON=/usr/bin/python3 \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --with-python=/usr/bin/python \
+ --with-python \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-python -m compileall "${PKG}$PYTHONLIB"
-python -O -m compileall "${PKG}$PYTHONLIB"
+python3 -m compileall "${PKG}$PYTHON3LIB"
+python3 -O -m compileall "${PKG}$PYTHON3LIB"
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
@@ -153,4 +163,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/libxml2-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/patches/source/libxml2/libxml2.do-not-check-crc.diff b/patches/source/libxml2/libxml2.do-not-check-crc.diff
deleted file mode 100644
index 3e6507764..000000000
--- a/patches/source/libxml2/libxml2.do-not-check-crc.diff
+++ /dev/null
@@ -1,35 +0,0 @@
-diff -up libxml2-2.9.0/xzlib.c.do-not-check-crc libxml2-2.9.0/xzlib.c
---- libxml2-2.9.0/xzlib.c.do-not-check-crc 2012-09-11 05:52:46.000000000 +0200
-+++ libxml2-2.9.0/xzlib.c 2012-11-19 19:28:42.431700534 +0100
-@@ -552,17 +552,20 @@ xz_decomp(xz_statep state)
- #ifdef HAVE_ZLIB_H
- if (state->how == GZIP) {
- if (gz_next4(state, &crc) == -1 || gz_next4(state, &len) == -1) {
-- xz_error(state, LZMA_DATA_ERROR, "unexpected end of file");
-- return -1;
-- }
-- if (crc != state->zstrm.adler) {
-- xz_error(state, LZMA_DATA_ERROR, "incorrect data check");
-- return -1;
-- }
-- if (len != (state->zstrm.total_out & 0xffffffffL)) {
-- xz_error(state, LZMA_DATA_ERROR, "incorrect length check");
-- return -1;
-- }
-+ /*
-+ xz_error(state, LZMA_DATA_ERROR, "unexpected end of file");
-+ return -1;
-+ */
-+ } else {
-+ if (crc != state->zstrm.adler) {
-+ xz_error(state, LZMA_DATA_ERROR, "incorrect data check");
-+ return -1;
-+ }
-+ if (len != (state->zstrm.total_out & 0xffffffffL)) {
-+ xz_error(state, LZMA_DATA_ERROR, "incorrect length check");
-+ return -1;
-+ }
-+ }
- state->strm.avail_in = 0;
- state->strm.next_in = NULL;
- state->strm.avail_out = 0;
diff --git a/patches/source/libxml2/libxml2.url b/patches/source/libxml2/libxml2.url
index 937f078cf..47808cb85 100644
--- a/patches/source/libxml2/libxml2.url
+++ b/patches/source/libxml2/libxml2.url
@@ -1,2 +1,3 @@
#ftp://ftp.xmlsoft.org/libxml2
-https://gitlab.gnome.org/GNOME/libxml2
+#https://gitlab.gnome.org/GNOME/libxml2
+https://download.gnome.org/sources/libxml2
diff --git a/patches/source/seamonkey/seamonkey.SlackBuild b/patches/source/seamonkey/seamonkey.SlackBuild
index b2729b7ef..e9aeb81a1 100755
--- a/patches/source/seamonkey/seamonkey.SlackBuild
+++ b/patches/source/seamonkey/seamonkey.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2020, 2021, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -122,7 +122,8 @@ rm -rf seamonkey-${TARBALLVER}
rm -rf seamonkey-unpack
mkdir seamonkey-unpack
cd seamonkey-unpack
-tar xvf $CWD/seamonkey-${TARBALLVER}.source.tar.?z* || exit 1
+echo "Extracting $CWD/seamonkey-${TARBALLVER}.source.tar.?z..."
+tar xf $CWD/seamonkey-${TARBALLVER}.source.tar.?z || exit 1
mv * ..
cd ..
rm -rf seamonkey-unpack
@@ -136,6 +137,10 @@ if [ "$ARCH" = "i686" -a "$CC" = "gcc" ]; then
zcat $CWD/double_t.x86.diff.gz | patch -p1 --verbose || exit 1
fi
+# Getting a strange failure on only 32-bit Slackware 15.0.
+# Workaround kludge:
+zcat $CWD/skip.check_glibc.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure the perms/ownerships are sane:
chown -R root:root .
find . \
@@ -148,7 +153,6 @@ find . \
OPTIONS="\
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --enable-cpp-rtti \
--enable-default-toolkit=cairo-gtk3 \
--enable-startup-notification \
--enable-alsa \
@@ -156,20 +160,15 @@ OPTIONS="\
--enable-linker=$LINKER \
--disable-strip \
--disable-install-strip \
- --disable-tests \
--disable-crashreporter \
- --disable-rust-simd \
--enable-accessibility \
$GOOGLE_API_KEY \
--disable-updater \
- --enable-chrome-format=omni \
--disable-necko-wifi \
--enable-js-shell \
$ELFHACK \
--enable-release \
--enable-calendar \
- --with-system-nss \
- --with-system-nspr \
--with-system-zlib \
--with-unsigned-addon-scopes=app,system \
--enable-application=comm/suite \
diff --git a/patches/source/seamonkey/skip.check_glibc.diff b/patches/source/seamonkey/skip.check_glibc.diff
new file mode 100644
index 000000000..5e59b20ad
--- /dev/null
+++ b/patches/source/seamonkey/skip.check_glibc.diff
@@ -0,0 +1,11 @@
+--- ./python/mozbuild/mozbuild/action/check_binary.py.orig 2023-06-10 05:41:20.000000000 -0500
++++ ./python/mozbuild/mozbuild/action/check_binary.py 2023-09-21 13:05:35.011027671 -0500
+@@ -326,7 +326,7 @@
+ checks = []
+ checks.append(check_stdcxx)
+ checks.append(check_libgcc)
+- checks.append(check_glibc)
++ # checks.append(check_glibc)
+
+ # Disabled for local builds because of readelf performance: See bug 1472496
+ if not buildconfig.substs.get('DEVELOPER_OPTIONS'):